Bug 498556 - hunspell has no default dictionary, so hunspell -a doesn't work and neither does emacs spell-checking
hunspell has no default dictionary, so hunspell -a doesn't work and neither d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hunspell (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 00:00 EDT by Jonathan Kamens
Modified: 2009-07-16 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.8-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 08:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
assuming that I'm right, this would fix the problem (3.82 KB, patch)
2009-05-01 04:19 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2009-05-01 00:00:21 EDT
ispell-program-name is set to "hunspell" in emacs.
I have hunspell, hunspell-en, and hunspell-he installed.
"hunspell -a" prints:

@(#) International Ispell Version 3.2.06 (but really Hunspell 1.2.8)
Can't open affix or dictionary files.

"hunspell -d en_US -a" works, but shouldn't there be a default?

The man page claims that /usr/share/myspell/default.aff and /usr/share/myspell/default.pic are the defaults, but (a) they don't exist, and (b) strace on "hunspell -a" doesn't show it trying to read them.

That same strace shows hunspell behaving rather oddly, e.g.:

24781 open("/usr/share/myspell/LC_CTYPE=en_US;LC_NUMERIC=en_US;LC_TIME=en_US;LC_COLLATE=C;LC_MONETARY=en_US;LC_MESSAGES=en_US;LC_PAPER=en_US;LC_NAME=en_US;LC_ADDRESS=en_US;LC_TELEPHONE=en_US;LC_MEASUREMENT=en_US;LC_IDENTIFICATION=en_US.aff", O_RDONLY) = -1 ENOENT (No such file or directory)

Say what?
Comment 1 Caolan McNamara 2009-05-01 03:29:34 EDT
give me the output of...

echo hello wrld | strace -f hunspell -a 2>&1 | grep myspell | sort | uniq

and the output of 

locale

the problem would probably go away with 
export LC_ALL="en_US.utf8"
Comment 2 Caolan McNamara 2009-05-01 04:19:58 EDT
Created attachment 342056 [details]
assuming that I'm right, this would fix the problem

If I'm right, this'll probably be the right sort of fix
Comment 3 Caolan McNamara 2009-05-01 08:17:28 EDT
Patched logged as https://sourceforge.net/tracker/?func=detail&aid=2784983&group_id=143754&atid=756397 and checked into rawhide.
Comment 4 Fedora Update System 2009-06-26 11:06:58 EDT
hunspell-1.2.8-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hunspell-1.2.8-5.fc11
Comment 5 Fedora Update System 2009-07-07 10:13:43 EDT
hunspell-1.2.8-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hunspell-1.2.8-6.fc11
Comment 6 Fedora Update System 2009-07-11 06:18:39 EDT
hunspell-1.2.8-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hunspell-1.2.8-7.fc11
Comment 7 Fedora Update System 2009-07-16 03:25:25 EDT
hunspell-1.2.8-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.